### Struct

# Soup Multipart

#### Description [src]

    struct SoupMultipart {
      /* No available fields */
    }

Represents a multipart HTTP message body, parsed according to the syntax of RFC 2046.

Of particular interest to HTTP are `multipart/byte-ranges` and `multipart/form-data`,

Although the headers of a `SoupMultipart` body part will contain the full headers from that body part, libsoup does not interpret them according to MIME rules. For example, each body part is assumed to have “binary” Content-Transfer-Encoding, even if its headers explicitly state otherwise. In other words, don’t try to use `SoupMultipart` for handling real MIME multiparts.

#### Constructors

###### soup_multipart_new

Creates a new empty `SoupMultipart` with a randomly-generated boundary string.

###### soup_multipart_new_from_message

Parses `headers` and `body` to form a new `SoupMultipart`.

#### Instance methods

###### soup_multipart_append_form_file

Adds a new MIME part containing `body` to `multipart`.

###### soup_multipart_append_form_string

Adds a new MIME part containing `data` to `multipart`.

###### soup_multipart_append_part

Adds a new MIME part to `multipart` with the given headers and body.

###### soup_multipart_free

Frees `multipart`.

###### soup_multipart_get_length

Gets the number of body parts in `multipart`.

###### soup_multipart_get_part

Gets the indicated body part from `multipart`.

###### soup_multipart_to_message

Serializes `multipart` to `dest_headers` and `dest_body`.